Bug 906045

Summary: CVE-2012-5958 CVE-2012-5959 CVE-2012-5960 CVE-2012-5961 CVE-2012-5962 CVE-2012-5963 CVE-2012-5964 CVE-2012-5965 libupnp: Multiple stack-based buffer overflows in unique_service_name() by processing specially-crafted SSDP request (VU#922681) [epel-5]
Product: [Fedora] Fedora EPEL Reporter: Vincent Danen <vdanen>
Component: mediatombAssignee: Gwyn Ciesla <limburgher>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: el5CC: bressers, limburgher, marc
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_owner=falonsoe, fst_ping=1
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-10 10:02:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 883790    

Description Vincent Danen 2013-01-30 12:16:56 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for mediatomb: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-01-30 12:17:09 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=883790,906045
Comment 2 Vincent Danen 2013-01-30 12:18:51 EST
If at all possible, this should be made to use the system libupnp library so that future vulnerabilities in libupnp do not require a rebuild of this package.
Comment 3 Eric Christensen 2015-04-06 14:48:49 EDT
Can this be fixed and in the way that Vincent noted in Comment 2?
Comment 4 Gwyn Ciesla 2015-04-06 15:16:13 EDT
We can't use system libupnp, but it looks like they may have addressed this is git.  I'm not 100% sure.

git://mediatomb.git.sourceforge.net/gitroot/mediatomb/mediatomb
Comment 5 Eric Christensen 2015-04-23 09:07:04 EDT
Do you have an update on this issue?
Comment 6 Gwyn Ciesla 2015-05-14 11:06:24 EDT
I don't, I've not had time to look at the code properly.
Comment 7 Eric Christensen 2015-06-11 14:14:56 EDT
Any update on this bug?
Comment 8 Gwyn Ciesla 2015-06-25 10:12:51 EDT
Not so far, no.
Comment 9 Gwyn Ciesla 2017-03-10 10:02:04 EST
On March 31, 2017, Red Hat Enterprise Linux (RHEL) 5 will move out of
"Production Phase 3". At this point various rebuilds will be ending
support for EL-5 and EPEL will be archiving EPEL-5.

What this means is the following:
1. EPEL-5 (/pub/epel/5/, /pub/epel/testing/5/) will be copied to
/pub/archive/epel/5.
2. Mirrors that mirror archives will pick up EPEL-5 in it new location.
3. Mirrormanager will point to those location as the canonical places.
4. Koji will be set to no compose for EPEL-5. This effectively stops
builds from getting 'pushed' to the trees.
5. The data in /pub/epel/5 and /pub/epel/testing/5/ will be removed
and will disappear from mirrors.

Because 2017-03-31 is a Friday, these changes will occur during the next week.